package com.simuwang.base.pojo.dos;

import com.simuwang.base.pojo.vo.SysRoleUserVO;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class SysRoleUserDO extends SysRoleDO<SysRoleUserVO> {
    /**
     * 用户ID
     */
    private Integer userId;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 用户邮箱
     */
    private String email;
    /**
     * 手机号码
     */
    private String phonenumber;
    /**
     * 帐号状态（0正常 1停用）
     */
    private Integer userStatus;

    @Override
    public SysRoleUserVO toVo() {
        SysRoleUserVO roleUserVO = super.toVo();
        roleUserVO.setUserId(this.userId);
        roleUserVO.setUserName(this.userName);
        roleUserVO.setEmail(this.email);
        roleUserVO.setPhonenumber(this.phonenumber);
        roleUserVO.setUserStatus(this.userStatus);
        return roleUserVO;
    }
}
